## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCDatabase

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
                  org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCDatabase

All Implemented Interfaces:
  ICatalogObject, Database, SQLObject

    public class JDBCDatabase

extends DatabaseImpl
implements ICatalogObject

Constructor Summary
`JDBCDatabase(java.sql.Connection connection)`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`EList` `getCatalogs()`
`java.sql.Connection` `getConnection()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
`eGet, eInverseAdd, eInverseRemove, eSet, eUnset, getAuthorizationIds, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCDatabase

    public JDBCDatabase(java.sql.Connection connection)

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getCatalogs

    public EList getCatalogs()

  Description copied from class: `DatabaseImpl`

  Specified by:
    `getCatalogs` in interface `Database`
  Overrides:
    `getCatalogs` in class `DatabaseImpl`
  Returns:
    the value of the 'Catalogs' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Catalogs()`, `Catalog.getDatabase()`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Description copied from class: `DatabaseImpl`

  Overrides:
    `eIsSet` in class `DatabaseImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.